<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:p1="http://www.zmc.com/flavor/pp" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" name="si_pp071_mcs_sender" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:documentation />
  <wsp:UsingPolicy wsdl:required="true" />
  <wsp:Policy wsu:Id="OP_si_pp071_mcs_sender" />
  <wsdl:types>
    <xsd:schema xmlns="http://www.hbflavor.com/pp" targetNamespace="http://www.hbflavor.com/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:complexType name="dt_pp071_res">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">response数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">721939b013bb11ed901d0000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="DATA">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">44e2f07871b811ecb430e86a642def83</xsd:appinfo>
              <xsd:documentation>销售与订单明细对应</xsd:documentation>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element minOccurs="0" name="MSGTY" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">e594a547a99411ec89a36018953d3d57</xsd:appinfo>
                    <xsd:documentation>消息类型</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MSGTX" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">f0b3d3fd12f811ed9c646018953d3d57</xsd:appinfo>
                    <xsd:documentation>消息文本</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="PLNNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">f0b3d3fe12f811ed90ee6018953d3d57</xsd:appinfo>
                    <xsd:documentation>工艺路线组</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="PLNAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">44e2cd8171b811ecc217e86a642def83</xsd:appinfo>
                    <xsd:documentation>组计数器</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">85c192e1a65e11ec90d86018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">71f4c5b113bb11edc3af6018953d3d57</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dt_pp071_req">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">request数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">9847a7fa12f311ed93080000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element name="SOURCESYS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">40f38bac12f011ed80536018953d3d57</xsd:appinfo>
              <xsd:documentation>源系统ID</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element name="TARGETSYS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">40f38bad12f011ed8ac56018953d3d57</xsd:appinfo>
              <xsd:documentation>目标系统ID</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element name="UPDATETIME" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">40f38bae12f011edcace6018953d3d57</xsd:appinfo>
              <xsd:documentation>数据时间戳</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="HEAD">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">40f38bb412f011eda7036018953d3d57</xsd:appinfo>
              <xsd:documentation>工艺路线抬头表</xsd:documentation>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">40f38baf12f011ed8f076018953d3d57</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="DATUV" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">40f38bb012f011edb0256018953d3d57</xsd:appinfo>
                    <xsd:documentation>生效日期</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">40f38bb112f011edc3816018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="PLNAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">40f38bb212f011edc52a6018953d3d57</xsd:appinfo>
                    <xsd:documentation>组计数器</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="VERWE" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">40f38bb312f011ed98766018953d3d57</xsd:appinfo>
                    <xsd:documentation>用途</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="STATU" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">7d5fd91a12f011ed94616018953d3d57</xsd:appinfo>
                    <xsd:documentation>状态</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="LOSVN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">8b121c6112f011edc9416018953d3d57</xsd:appinfo>
                    <xsd:documentation>从批量</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="LOSBS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">98d7af0d12f011ed81786018953d3d57</xsd:appinfo>
                    <xsd:documentation>到批量</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="KTEXT" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">b23ce2f912f011edb4276018953d3d57</xsd:appinfo>
                    <xsd:documentation>工艺路线描述</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" maxOccurs="unbounded" name="ITEM">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">cf06554a12f011edc1616018953d3d57</xsd:appinfo>
                    <xsd:documentation>工艺路线行项目表</xsd:documentation>
                  </xsd:annotation>
                  <xsd:complexType>
                    <xsd:sequence>
                      <xsd:element name="BMSCH" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">df5ce45312f011edaf6c6018953d3d57</xsd:appinfo>
                          <xsd:documentation>基本数量</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="PLNME" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">f5c0361b12f011ed9f636018953d3d57</xsd:appinfo>
                          <xsd:documentation>工序单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VORNR" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">040b340b12f111ed8c936018953d3d57</xsd:appinfo>
                          <xsd:documentation>工序编号</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="ARBPL" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">57cfeb1512f211ed95606018953d3d57</xsd:appinfo>
                          <xsd:documentation>工作中心</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="STEUS" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">917a453d12f211ed99c56018953d3d57</xsd:appinfo>
                          <xsd:documentation>控制码</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="LTXA1" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">9f695ef712f211ed83b06018953d3d57</xsd:appinfo>
                          <xsd:documentation>工序描述</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW01" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">b04fc7e812f211ed9e486018953d3d57</xsd:appinfo>
                          <xsd:documentation>人工（直接）</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE01" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">2542cb4212f311eda7336018953d3d57</xsd:appinfo>
                          <xsd:documentation>人工直接工时单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW02" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">576985b112f311edbf296018953d3d57</xsd:appinfo>
                          <xsd:documentation>人工（间接）</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE02" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">576985b212f311edc1d16018953d3d57</xsd:appinfo>
                          <xsd:documentation>人工间接工时单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW03" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">66b8795b12f311edba5b6018953d3d57</xsd:appinfo>
                          <xsd:documentation>机器工时</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE03" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">983a1c4312f311eda6a46018953d3d57</xsd:appinfo>
                          <xsd:documentation>机器工时单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW04" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">a4a9253212f311eda1666018953d3d57</xsd:appinfo>
                          <xsd:documentation>电</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE04" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">b343491212f311edc4026018953d3d57</xsd:appinfo>
                          <xsd:documentation>电单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW05" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">c2899bbc12f311edcbf76018953d3d57</xsd:appinfo>
                          <xsd:documentation>水</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE05" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">d313f48d12f311ed8f656018953d3d57</xsd:appinfo>
                          <xsd:documentation>水单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW06" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">e098fd0e12f311ed83896018953d3d57</xsd:appinfo>
                          <xsd:documentation>蒸汽</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE06" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">ffa010eb12f311edb09b6018953d3d57</xsd:appinfo>
                          <xsd:documentation>蒸汽单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW07" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">0ccabca912f411ed83336018953d3d57</xsd:appinfo>
                          <xsd:documentation>物耗仓储运输</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE07" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">185679c412f411edbc656018953d3d57</xsd:appinfo>
                          <xsd:documentation>物耗仓储运输单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW08" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">24469ea312f411edc4646018953d3d57</xsd:appinfo>
                          <xsd:documentation>其他</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE08" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">32dc809312f411ed93076018953d3d57</xsd:appinfo>
                          <xsd:documentation>其他单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGW09" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">3f74274012f411edb0346018953d3d57</xsd:appinfo>
                          <xsd:documentation>环保支出</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element name="VGE09" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">4c6e4b7912f411edb06a6018953d3d57</xsd:appinfo>
                          <xsd:documentation>环保支出单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                    </xsd:sequence>
                  </xsd:complexType>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema xmlns="http://www.zmc.com/flavor/pp" xmlns:p5="http://www.hbflavor.com/pp" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:import namespace="http://www.hbflavor.com/pp" />
      <xsd:element name="mt_pp071_res" type="p5:dt_pp071_res" />
      <xsd:element name="mt_pp071_req" type="p5:dt_pp071_req" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="mt_pp071_req">
    <wsdl:documentation />
    <wsdl:part name="mt_pp071_req" element="p1:mt_pp071_req" />
  </wsdl:message>
  <wsdl:message name="mt_pp071_res">
    <wsdl:documentation />
    <wsdl:part name="mt_pp071_res" element="p1:mt_pp071_res" />
  </wsdl:message>
  <wsdl:portType name="si_pp071_mcs_sender">
    <wsdl:documentation />
    <wsdl:operation name="si_pp071_mcs_sender">
      <wsdl:documentation />
      <wsp:Policy>
        <wsp:PolicyReference URI="#OP_si_pp071_mcs_sender" />
      </wsp:Policy>
      <wsdl:input message="p1:mt_pp071_req" />
      <wsdl:output message="p1:mt_pp071_res" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="si_pp071_mcs_senderBinding" type="p1:si_pp071_mcs_sender">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <wsdl:operation name="si_pp071_mcs_sender">
      <operation soapAction="http://sap.com/xi/WebService/soap1.1" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <wsdl:input>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:input>
      <wsdl:output>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="si_pp071_mcs_senderService">
    <wsdl:port name="HTTP_Port" binding="p1:si_pp071_mcs_senderBinding">
      <address location="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp071_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
    <wsdl:port name="HTTPS_Port" binding="p1:si_pp071_mcs_senderBinding">
      <address location="https://sappoqas.hbglobal.com:50001/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp071_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>